Skip to main content
POST
/
workspace
/
cli
/
refresh
Redeem CLI Activation Token
curl --request POST \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/cli/refresh \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_composer_path": "<string>",
  "app_composer_version": "<string>",
  "app_cli_version": "<string>",
  "app_php_path": "<string>",
  "app_php_version": "<string>",
  "ip_address": "<string>",
  "os_chipset": "<string>",
  "os_hostname": "<string>",
  "os_platform": "macOS",
  "os_serial": "<string>",
  "os_uuid": "<string>",
  "os_version": "<string>"
}
'
[
  "<unknown>"
]

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

RedeemWorkspaceCliActivationTokenRequestData

app_composer_path
string
required

The path to the Composer installation on the client.

If it starts with /Users/, the username portion of the path is masked for privacy. The only exposed data is in the os_hostname which is used for device trust verification by some organizations

Maximum string length: 255
Example:

"/Users/masked/Library/Application Support/Herd/bin//composer"

app_composer_version
string
required
Example:

"x.y.z"

app_cli_version
string
required
Maximum string length: 55
Example:

"x.y.z"

app_php_path
string
required

The path to the PHP installation on the client.

If it starts with /Users/, the username portion of the path is masked for privacy. The only exposed data is in the os_hostname which is used for device trust verification by some organizations

Maximum string length: 255
Example:

"/Users/masked/Library/Application Support/Herd/bin//php"

app_php_version
string
required
Example:

"x.y.z"

ip_address
string
required
Example:

"1.2.3.4"

os_chipset
string
required
Maximum string length: 55
Example:

"Apple M1 Pro"

os_hostname
string
required
Maximum string length: 256
Example:

"dmurphy-laptop"

os_platform
enum<string>
required
Available options:
macOS
Maximum string length: 55
Example:

"macOS"

os_serial
string
required
Required string length: 8 - 14
Example:

"A1B2C3D4E5F6G7"

os_uuid
string
required
Example:

"A1B2C3D4-E5F6-G7H8-I9J0-K1L2M3N4O5P6"

os_version
string
required
Example:

"x.y.z"

Response